---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libearlyretvoid.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52590, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x544D0, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x548C0, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55860, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55870, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x520B0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x520B4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x520B8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52210, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x522C8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x522CC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x522D0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x522D4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x522D8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x522E0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x522F8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52300, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52308, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52310, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52318, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL7errCode, symObjAddr: 0x5235C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x52360, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x52368, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x52370, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52378, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x52380, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x915B, offset: 0x915B, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x52390, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9174, offset: 0x9174, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x524C8, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x91C6, offset: 0x91C6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3EB0, symSize: 0x80 }
  - { offsetInCU: 0x925B, offset: 0x925B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3E00, symSize: 0xB0 }
  - { offsetInCU: 0x92B6, offset: 0x92B6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3D00, symSize: 0x100 }
  - { offsetInCU: 0x9549, offset: 0x9549, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3F30, symSize: 0x220 }
  - { offsetInCU: 0x972E, offset: 0x972E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4150, symSize: 0xA0 }
  - { offsetInCU: 0x97E1, offset: 0x97E1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x41F0, symSize: 0x110 }
  - { offsetInCU: 0x98D7, offset: 0x98D7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4300, symSize: 0x150 }
  - { offsetInCU: 0x9A08, offset: 0x9A08, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4450, symSize: 0x30 }
  - { offsetInCU: 0x9AE9, offset: 0x9AE9, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4480, symSize: 0x150 }
  - { offsetInCU: 0x9CE1, offset: 0x9CE1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x45D0, symSize: 0x160 }
  - { offsetInCU: 0x9E6D, offset: 0x9E6D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4730, symSize: 0x1B0 }
  - { offsetInCU: 0xA088, offset: 0xA088, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x48E0, symSize: 0xA0 }
  - { offsetInCU: 0xA157, offset: 0xA157, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4980, symSize: 0x20 }
  - { offsetInCU: 0xA18E, offset: 0xA18E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x49A0, symSize: 0x20 }
  - { offsetInCU: 0xA1C5, offset: 0xA1C5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x49C0, symSize: 0x20 }
  - { offsetInCU: 0xA378, offset: 0xA378, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x49E0, symSize: 0x1A0 }
  - { offsetInCU: 0xA69E, offset: 0xA69E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4B80, symSize: 0x80 }
  - { offsetInCU: 0xA767, offset: 0xA767, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4C00, symSize: 0x6A0 }
  - { offsetInCU: 0xB2FC, offset: 0xB2FC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA4D0, symBinAddr: 0x6260, symSize: 0xB0 }
  - { offsetInCU: 0xB373, offset: 0xB373, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x52A0, symSize: 0x70 }
  - { offsetInCU: 0xB4BF, offset: 0xB4BF, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5310, symSize: 0xA0 }
  - { offsetInCU: 0xB616, offset: 0xB616, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x53B0, symSize: 0x40 }
  - { offsetInCU: 0xB70C, offset: 0xB70C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x53F0, symSize: 0x2B0 }
  - { offsetInCU: 0xBAB2, offset: 0xBAB2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x56A0, symSize: 0xC0 }
  - { offsetInCU: 0xBBF8, offset: 0xBBF8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5760, symSize: 0x10 }
  - { offsetInCU: 0xBCBA, offset: 0xBCBA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5770, symSize: 0x220 }
  - { offsetInCU: 0xBFB7, offset: 0xBFB7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5990, symSize: 0x10 }
  - { offsetInCU: 0xC014, offset: 0xC014, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x59A0, symSize: 0x190 }
  - { offsetInCU: 0xC1E5, offset: 0xC1E5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DA0, symBinAddr: 0x5B30, symSize: 0x10 }
  - { offsetInCU: 0xC2BE, offset: 0xC2BE, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9DB0, symBinAddr: 0x5B40, symSize: 0x3F0 }
  - { offsetInCU: 0xC74F, offset: 0xC74F, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA1A0, symBinAddr: 0x5F30, symSize: 0xE0 }
  - { offsetInCU: 0xC8BE, offset: 0xC8BE, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xA280, symBinAddr: 0x6010, symSize: 0xC0 }
  - { offsetInCU: 0xC9FE, offset: 0xC9FE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretvoid_getReady, symObjAddr: 0xA340, symBinAddr: 0x60D0, symSize: 0x150 }
  - { offsetInCU: 0xCBAE, offset: 0xCBAE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretvoid_check, symObjAddr: 0xA490, symBinAddr: 0x6220, symSize: 0x40 }
  - { offsetInCU: 0xCBFD, offset: 0xCBFD, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA580, symBinAddr: 0x6310, symSize: 0x36A }
...
